package cn.estsh.i3plus.pojo.wms.bean.dynamic;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : WMS字段信息表
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 09:06
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_FIELDINFO")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="WMS字段信息表",description = "WMS字段信息表")
public class WmsFieldInfo extends BaseBean {

    private static final long serialVersionUID = 3903166651913139064L;
    @Column(name = "FIELD_NAME")
    @ApiParam(value = "字段名称")
    private String fieldName;

    @Column(name = "FIELD_DESC")
    @ApiParam(value = "字段描述")
    private String fieldDesc;

    @Column(name = "FIELD_TYPE")
    @ApiParam(value = "字段类型")
    private String fieldType;

    @Column(name = "ENTITY_NAME")
    @ApiParam(value = "实体名称")
    private String entityName;

    @Column(name = "ENTITY_DESC")
    @ApiParam(value = "实体描述")
    private String entityDesc;
}
